/**
 * 画面読込時追加処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function onLoadExtra() {
	// 項目背景色設定
	setFieldsBgColor(ARY_FIELDS_ID    , COLOR_FIELD_NORMAL);
	setFieldsBgColor(ARY_ERR_FIELDS_ID, COLOR_FIELD_ERROR );
	// 項目長設定
	setMaxLength(PRM_PLT_T_ID  , LEN_CODE_ID);
	setMaxLength(PRM_TXT_T_CODE, LEN_CODE   );
	setMaxLength(PRM_TXT_T_NAME, LEN_NAME   );
	// 一覧背景色設定
	setTableColor("list");
	// フォーカス設定
	setFocus(PRM_TXT_T_CODE);
}

/**
 * サーバー通信処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function submitForm(objForm, cmd) {
	// 入力チェック
	if (validate()) {
		// サーバー通信(入力エラー無の場合)
		doSubmit(objForm, cmd);
	}
}

/**
 * 入力チェック
 * @param 無し
 * @return チェック結果(true：OK、false：NG)
 * @throws 実行時例外
 */
function validate() {
	// フィールド背景色設定
	setFieldsBgColor(ARY_FIELDS_ID, COLOR_FIELD_NORMAL);
	// 入力チェック
	var aryMessage = new Array();
	checkCode    (PRM_TXT_USER_ID  , NAM_USER_ID  , aryMessage);
	checkCode    (PRM_PLT_AUTHORITY, NAM_AUTHORITY, aryMessage);
	checkNumber  (PRM_PLT_DELETE   , NAM_DELETE   , aryMessage);
	if (aryMessage.length == 0) {
		return true;
	} else {
		showMessage(aryMessage);
		return false;
	}
}
